Bug 504995 - Encryption is ignored for some partitions
Encryption is ignored for some partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513460
  Show dependency treegraph
 
Reported: 2009-06-10 06:32 EDT by Yaakov Nemoy
Modified: 2009-08-20 11:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:20:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (142.33 KB, text/plain)
2009-08-20 10:30 EDT, Yaakov Nemoy
no flags Details
program.log (9.73 KB, text/plain)
2009-08-20 10:30 EDT, Yaakov Nemoy
no flags Details
storage.log (241.19 KB, text/plain)
2009-08-20 10:31 EDT, Yaakov Nemoy
no flags Details

  None (edit)
Description Yaakov Nemoy 2009-06-10 06:32:07 EDT
Description of problem: User wants to encrypt just /home and swap which are on an LVM VG. When clicking 'Encrypt', the checkbox stays on, but no padlock appears for the /home partition. When installing, no encryption is applied to /home.


Version-Release number of selected component (if applicable):
Fedora 11 KDE Live USB

How reproducible:
Every time i've tried it.

Steps to Reproduce:
1. Load up USB
2. Click on Installer
3. Set up Custom Layout as so:

First 200MB primary /boot partition, ext3, unencrypted
Remaining space (approx 150GB), LVM PV, unencrypted
In LVM
20480 GB / ext4, unencrypted
2048 GB /usr/local, ext4, unencrypted
2048 GB /opt, ext4, unencrypted
4096 GB swap, swap, encrypted
40960 GB /home ext4, encrypted
  
Actual results:
Swap is encrypted, /home is not.

Expected results:
1) Encrypt /home
2) Tell me why /home is not being encrypted

Additional info:

Encrypting the entire LVM PV worked fine up until the installer crashed. Going to try to reproduce that, and see if another bug report needs to be filed.
Comment 1 Yaakov Nemoy 2009-08-02 17:33:32 EDT
Any comments what that blocker bug is? I'm not 'authorized' to see it.
Comment 2 David Lehman 2009-08-14 12:06:52 EDT
Can you still reproduce this bug? If so, please attach the following logs:

  /tmp/storage.log
  /tmp/anaconda.log
  /tmp/program.log


(In reply to comment #1)
> Any comments what that blocker bug is? I'm not 'authorized' to see it.  

It's just an internal tracking bug.
Comment 3 Yaakov Nemoy 2009-08-20 10:28:32 EDT
I tried to reproduce this on another machine, but i didn't quite get the same error. Nevertheless, the installation failed with an invalid device error. Here are the logs, though i don't see much usefull in them.

Since i can't reproduce the bug, feel free to close this if you need to.
Comment 4 Yaakov Nemoy 2009-08-20 10:30:24 EDT
Created attachment 358102 [details]
anaconda.log

anaconda.log
Comment 5 Yaakov Nemoy 2009-08-20 10:30:57 EDT
Created attachment 358103 [details]
program.log

program.log
Comment 6 Yaakov Nemoy 2009-08-20 10:31:22 EDT
Created attachment 358104 [details]
storage.log

storage.log

Note You need to log in before you can comment on or make changes to this bug.